DCMTK: DiInputPixel Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
DiInputPixel Class Referenceabstract

Abstract base class to convert DICOM pixel stream to intermediate representation. More...

Inheritance diagram for DiInputPixel:

## Public Member Functions
| DiInputPixel (const unsigned int bits, const unsigned long first, const unsigned long number, const unsigned long fsize)
| constructor
virtual | ~DiInputPixel ()
| destructor
virtual int | determineMinMax ()=0
| determine minimum and maximum pixel value (abstract)
virtual EP_Representation | getRepresentation () const =0
| get pixel representation (abstract).
virtual const void * | getData () const =0
| get pointer to input pixel data (abstract)
virtual void * | getDataPtr ()=0
| get pointer to input pixel data (abstract)
virtual void | removeDataReference ()=0
| remove reference to (internally handled) pixel data (abstract)
virtual double | getMinValue (const int idx) const =0
| get minimum pixel value (abstract)
virtual double | getMaxValue (const int idx) const =0
| get maximum pixel value (abstract)
unsigned int | getBits () const
| get number of bits per pixel
double | getAbsMinimum () const
| get absolute minimum pixel value
double | getAbsMaximum () const
| get absolute maximum pixel value
double | getAbsMaxRange () const
| get absolute pixel value range
unsigned long | getCount () const
| get number of pixels stored
unsigned long | getPixelStart () const
| get first pixel to be processed
unsigned long | getPixelCount () const
| get number of pixels to be processed
unsigned long | getComputedCount () const
| get number of pixels computed from the image resolution

## Protected Attributes
unsigned long | Count
| number of pixels stored
unsigned int | Bits
| bits per pixel/sample
unsigned long | FirstFrame
| first frame to be processed
unsigned long | NumberOfFrames
| number of frames to be processed
unsigned long | FrameSize
| number of pixels per frame
unsigned long | PixelStart
| first pixel to be processed
unsigned long | PixelCount
| number of pixels to be processed
unsigned long | ComputedCount
| number of pixels computed from the image resolution
double | AbsMinimum
| absolute minimum (possible) pixel value
double | AbsMaximum
| absolute maximum (possible) pixel value

## Detailed Description

Abstract base class to convert DICOM pixel stream to intermediate representation.

## Constructor & Destructor Documentation

## ◆ DiInputPixel()

DiInputPixel::DiInputPixel | ( | const unsigned int | bits,
|  | const unsigned long | first,
|  | const unsigned long | number,
|  | const unsigned long | fsize )

constructor

Parameters

  bits | number of bits stored for each pixel (depth)
  first | first frame to be processed
  number | number of frames to be processed
  fsize | number of pixels per frame (frame size)

Referenced by DiInputPixelTemplate< T1, T2 >::DiInputPixelTemplate().

## Member Function Documentation

## ◆ determineMinMax()

virtual int DiInputPixel::determineMinMax | ( |  | ) |
| pure virtual

determine minimum and maximum pixel value (abstract)

Returns
  status, true if successful, false otherwise

Implemented in DiInputPixelTemplate< T1, T2 >.

## ◆ getAbsMaximum()

double DiInputPixel::getAbsMaximum | ( |  | ) | const
| inline

get absolute maximum pixel value

Returns
  absolute maximum pixel value

References AbsMaximum.

## ◆ getAbsMaxRange()

double DiInputPixel::getAbsMaxRange | ( |  | ) | const
| inline

get absolute pixel value range

Returns
  absolute pixel value range

References AbsMaximum, and AbsMinimum.

Referenced by DiInputPixelTemplate< T1, T2 >::determineMinMax(), DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), and DiMonoInputPixelTemplate< T1, T2, T3 >::rescale().

## ◆ getAbsMinimum()

double DiInputPixel::getAbsMinimum | ( |  | ) | const
| inline

get absolute minimum pixel value

Returns
  absolute minimum pixel value

References AbsMinimum.

Referenced by DiInputPixelTemplate< T1, T2 >::convert(), DiInputPixelTemplate< T1, T2 >::determineMinMax(), DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), and DiMonoInputPixelTemplate< T1, T2, T3 >::rescale().

## ◆ getBits()

unsigned int DiInputPixel::getBits | ( |  | ) | const
| inline

get number of bits per pixel

Returns
  number of bits per pixel

References Bits.

## ◆ getComputedCount()

unsigned long DiInputPixel::getComputedCount | ( |  | ) | const
| inline

get number of pixels computed from the image resolution

Returns
  number of pixels computed

References ComputedCount.

## ◆ getCount()

unsigned long DiInputPixel::getCount | ( |  | ) | const
| inline

get number of pixels stored

Returns
  number of pixels stored

References Count.

## ◆ getData()

virtual const void * DiInputPixel::getData | ( |  | ) | const
| pure virtual

get pointer to input pixel data (abstract)

Returns
  pointer to input pixel data

Implemented in DiInputPixelTemplate< T1, T2 >.

Referenced by DiARGBPixelTemplate< T1, T2, T3 >::DiARGBPixelTemplate(), DiCMYKPixelTemplate< T1, T2 >::DiCMYKPixelTemplate(), DiHSVPixelTemplate< T1, T2 >::DiHSVPixelTemplate(), DiPalettePixelTemplate< T1, T2, T3 >::DiPalettePixelTemplate(), DiRGBPixelTemplate< T1, T2 >::DiRGBPixelTemplate(), DiYBR422PixelTemplate< T1, T2 >::DiYBR422PixelTemplate(), DiYBRPart422PixelTemplate< T1, T2 >::DiYBRPart422PixelTemplate(), DiYBRPixelTemplate< T1, T2 >::DiYBRPixelTemplate(), DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), and DiMonoInputPixelTemplate< T1, T2, T3 >::rescale().

## ◆ getDataPtr()

virtual void * DiInputPixel::getDataPtr | ( |  | ) |
| pure virtual

get pointer to input pixel data (abstract)

Returns
  pointer to input pixel data

Implemented in DiInputPixelTemplate< T1, T2 >.

Referenced by DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), and DiMonoInputPixelTemplate< T1, T2, T3 >::rescale().

## ◆ getMaxValue()

virtual double DiInputPixel::getMaxValue | ( | const int | idx | ) | const
| pure virtual

get maximum pixel value (abstract)

Parameters

  idx | specifies whether to return the global maximum (0) or the maximum of the selected pixel range (1, see PixelStart/Range)

Returns
  maximum pixel value

Implemented in DiInputPixelTemplate< T1, T2 >.

## ◆ getMinValue()

virtual double DiInputPixel::getMinValue | ( | const int | idx | ) | const
| pure virtual

get minimum pixel value (abstract)

Parameters

  idx | specifies whether to return the global minimum (0) or the minimum of the selected pixel range (1, see PixelStart/Range)

Returns
  minimum pixel value

Implemented in DiInputPixelTemplate< T1, T2 >.

## ◆ getPixelCount()

unsigned long DiInputPixel::getPixelCount | ( |  | ) | const
| inline

get number of pixels to be processed

Returns
  number of pixels to be processed

References PixelCount.

## ◆ getPixelStart()

unsigned long DiInputPixel::getPixelStart | ( |  | ) | const
| inline

get first pixel to be processed

Returns
  first pixel to be processed

References PixelStart.

Referenced by DiARGBPixelTemplate< T1, T2, T3 >::DiARGBPixelTemplate(), DiCMYKPixelTemplate< T1, T2 >::DiCMYKPixelTemplate(), DiHSVPixelTemplate< T1, T2 >::DiHSVPixelTemplate(), DiPalettePixelTemplate< T1, T2, T3 >::DiPalettePixelTemplate(), DiRGBPixelTemplate< T1, T2 >::DiRGBPixelTemplate(), DiYBR422PixelTemplate< T1, T2 >::DiYBR422PixelTemplate(), DiYBRPart422PixelTemplate< T1, T2 >::DiYBRPart422PixelTemplate(), DiYBRPixelTemplate< T1, T2 >::DiYBRPixelTemplate(), DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), and DiMonoInputPixelTemplate< T1, T2, T3 >::rescale().

## ◆ getRepresentation()

virtual EP_Representation DiInputPixel::getRepresentation | ( |  | ) | const
| pure virtual

get pixel representation (abstract).

Determine which integer type (size and signed/unsigned) is necessary to store the pixel data.

Returns
  pixel representation

Implemented in DiInputPixelTemplate< T1, T2 >.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diinpx.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1